php 开启内置服务器 getaddrinfo failed

PHP 5.4.0起,CLISAPI提供了一个内置的Web服务器。 php -S ip:端口 原本很正常的使用,但有一天开发项目我使用以下语句开启时 php -S localhost:8080 但系统却给我报出了这样的错误 Unknown: php_network_getaddr...

2019-08-11 17:25:00

阅读数 39

评论数 0

mysql 排序 order by 和 limit 导致分页数据重复顺序错乱

select * from `t_content_tag_relation_mobile` where `tag_id` in (31) and `status` = 0 and `distribute_state` = 0 and `display_mobile` = 1 order by `h...

2019-05-18 13:57:22

阅读数 126

评论数 0

php laravel lumen 快速接入网易云信 im

第一部分了解网易云信im 根据上图所示,在我们接入网易云信im时,我们所需要做的就是蓝色部分,并且客户端网易提供了一个完整的demo,我们的开发完全可以基于这个demo来改造,然后就是应用服务器的开发,由于官网提供了大量的api接口来实现基层功能,使得我们可以专心于我们的业务开发。App_s...

2019-04-14 17:36:32

阅读数 69

评论数 0

php安装kafka扩展

环境windows 7php 7.0 1.下载扩展https://pecl.php.net/package/rdkafka/2.0.1/windows= 2.解压后复制 librdkafka.dll 到 C:\Windows\SysWOW64 (如果你是64位就放到C:\Windows\Syste...

2018-06-14 21:33:16

阅读数 1249

评论数 0

lnmp 搭建虚拟主机域名了

接上一篇文章centos7搭建lnmp (php7 + mysql5.7 +nginx1.8)配置好了当然到配置虚拟主机域名了首先先在 /etc/nginx (在安装目录中),新建一个vhosts目录   mkdir vhosts     2. 在vhosts新建一个文件(名称建议是你的域名.co...

2018-06-04 14:23:28

阅读数 637

评论数 0

如何在Linux Mint上升级Adobe Flash Player

昨天刚重装了电脑,安装了别人推荐我的Linux Mint系统,感觉真的挺不错,界面还挺简洁的但是当我打开 熊猫,斗鱼的时候居然提示我flash版本过低了,害的我赶紧百度怎么解决,百度居然叫我去官网去下载flash安装包,(感觉怪怪的),原来他的意思是把下载下来的flash发到火狐浏览器的插件中,然...

2018-05-31 09:53:27

阅读数 390

评论数 0

centos7搭建lnmp (php7 + mysql5.7 +nginx1.8)

1.php7编译安装    1.1 首先下载并解压php安装包 php下载地址           下载wget http://cn2.php.net/get/php-7.2.4.tar.xz/from/this/mirror            解压 (tar 解压命令   -x 解压  -v...

2018-04-22 14:11:41

阅读数 2562

评论数 0

thinkphp5+easywechat开发小程序支付

composer下载thinkphp5   composer create-project topthink/think [你的目录名] --prefer-distcomposer下载easywechat composer require hooklife/thinkphp5-wech...

2017-08-17 16:45:56

阅读数 5416

评论数 0

laravel Socialite Providers 实现第三方登录

2017/6/16  laravel 5.4  版本问题 "socialiteproviders/manager": "2.1.2", "socialiteproviders/weibo"...

2017-06-16 19:01:25

阅读数 1835

评论数 0

我安装了最新版的phpstudy,用composer提示PHP版本低

我电脑有原先有一个phpstudy,但是PHP版本为5.6,不能满足Laravel的版本需求,所以我重新下载了最新版的phpstudy,我安装了最新版的phpstudy,用composer提示php版本低 解决办法:  1)先用phpstudy更换版本 2)在环境变量中PATH改一下...

2017-06-16 18:25:33

阅读数 4213

评论数 0

微信支付接口开发

微信sdk中的wxpayPubHelper.php写的很有问题,以下是我遇到的主要的3个问题 1:这个问题还是看了别人的文章才发现  curl_setopt($ch, CURLOPT_TIMEOUT, $second); 2:curl提示没有解析代理 原因是的超时检测时...

2017-05-02 20:44:42

阅读数 358

评论数 0

微信支付遇到的小问题

相信第一次开发微信支付的童鞋都是从下载修改微信提供的例子开始,而微信官方提供的“微信公众号支付接口文档V3.3.7”中的PHP版本例子,一开始就跟大家开了个玩笑(这里强烈鄙视一下微信开发团队!!) Notice: Use of undefined constant CURLOP_TIMEOU...

2017-04-29 20:31:23

阅读数 750

评论数 0

thinkphp实现上传图文消息中的图片的接口

public function save(){         $content = input("content","","trim");                  $WXAPI = $this->getWXAPI(...

2017-04-22 15:47:09

阅读数 180

评论数 0

域名

我发现如果你的域名没有3w,而你访问的时候加上3w的话会加载速度变慢,并且iphoe测试时,我用thinkphp创建session或cookie时他的原本存储的都会被清空

2017-03-13 19:47:34

阅读数 162

评论数 0

提示
确定要删除当前文章?
取消 删除